<?php

namespace App\Models;

class PropertyChannelAddon extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_channel_addon';
    protected $appends = ['descriptionArray'];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];
    protected $hidden = [];

    function getDescriptionArrayAttribute()
    {
        $description = [];
        if (!empty($this->description)) {
            $description = json_decode($this->description, 1);
        }
        return $description;
    }

    public function propertyAddon()
    {
        return $this->hasOne("App\Models\PropertyAddon",   'id', 'property_addon_id')->select('id','fact_id','title','attribute');
    }


}
